# Boilerplate: FastAPIMongoLaunchpad

The [FastAPIMongoLaunchpad](https://github.com/mahdikiani/FastAPIMongoLaunchpad/) is a production-ready boilerplate for building FastAPI applications with MongoDB integration.

## Features
- Pre-built CRUD operations
- MongoDB integration with Beanie ODM
- Modular architecture
- Docker and Traefik support
- Environment configuration
- Ready-to-use project structure

## Getting Started
1. Clone the boilerplate:
```bash
git clone https://github.com/mahdikiani/FastAPIMongoLaunchpad.git
cd FastAPIMongoLaunchpad
cp sample.env .env
```
2. Start the application:
```bash
docker compose up --build
```
3. Access your API at [http://localhost:8000/api/v1/docs](http://localhost:8000/api/v1/docs)

## Project Structure
See the [README](https://github.com/mahdikiani/FastAPIMongoLaunchpad/blob/main/README.md) for a detailed project structure and more examples. 